package be.iminds.ilabt.jfed.lowlevel.connection;

import be.iminds.ilabt.jfed.lowlevel.JFedException;
import org.apache.http.client.HttpClient;
import org.apache.http.protocol.HttpContext;

/**
 * SfaConnection: an XmlRpc connection (typically over https with or without user authentication or over http without any authentication)
 */
public abstract class HttpConnection extends JFedConnection {
    public HttpConnection(ConnectionConfig connectionConfig) throws JFedException {
        super(connectionConfig);
    }

    public abstract void enablePreemptiveAuthentication(boolean enable);
    public abstract HttpClient getHttpClient();
    public abstract HttpContext getHttpContext();
}
